Subject: Re: [bug#54832] [patch] update glibc to 2.35
From: Marius Bakke <[email-masked]>
To: Greg Hogan <[email-masked]>, zamfofex <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, Maxime Devos <[email-masked]>
Date: Fri, 02 Sep 2022 00:32:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Greg Hogan <[email-masked]> skriver:

> On Tue, Jul 19, 2022 at 12:14 PM zamfofex <[email-masked]> wrote:
>>
>> > There’s a comment at the top of ‘glibc-dl-cache.patch’ that explains
>> > what it does, but see
>> > <https://guix.gnu.org/en/blog/2021/taming-the-stat-storm-with-a-loader-cache/>
>> > for details.  I can take a look and update it.
>>
>> It seems we both misinterpreted the diff I had sent originally, as that patch has not actually been removed, but rather its line was changed (it was moved upwards). So good news, no need for changes or further investigation!
>
> I have used your patch to bootstrap with GCC 12 (in order to use both
> gcc-12 and llvm-14 in the same profile) and I have found that without
> "glibc-ldd-x86_64.patch", sometimes ldd will throw a "not a dynamic
> executable" error. I assume the powerpc patch is likewise still
> required.

I submitted a variant of this patch to #57533 that preserves
glibc-ldd-x86_64.patch.

Closing this issue, as it has been superseded by #57533.

Thanks zamfofex!